:root{
    --azul-osc:#013686;
    --blanco:#ffffff;
}
*{
    box-sizing:border-box;
}
header{
    position: sticky;
    top: 0;
    left: 0;
    width: 100%;
    background-color: #95c7ff;
    color: var(--azul-osc);
    padding: 5px;
    margin: 0;
    z-index: 1000;
    text-align:center;
    box-shadow:0 4px 12px rgba(0,0,0,0.12);
}
header img{
    width:110px;
    height:110px;
    display:block;
    margin: 0;
    padding: 0;
}

.menu-toggle{
    display: none;
    background-color: #95c7ff;
    border-radius: 14px;
    border: none;
    font-size: 32px;
    color: var(--azul-osc);
    cursor: pointer;
    position: relative; 
    z-index: 10;       
}
.menu-grid{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
   
    padding: 0;
}



.card{
    background:var(--blanco);
    border-radius:14px;
    padding:10px;
    width:100px;
    height:50px;
    text-decoration:none;
    color:var(--azul-osc);
    font-weight:700;
    font-size:1.05rem;
    box-shadow:0 8px 20px rgba(13,71,161,0.06);
    transition: transform .18s ease, box-shadow .18s ease, background .18s;
    display:flex;
    align-items:center;
    justify-content:center;
    text-align:center;
    
}

.card:hover{
    transform:translateY(-6px);
    box-shadow:0 14px 30px rgba(13,71,161,0.12);
    background:#f1fbff;
}

@media screen and (max-width: 700px){

    .menu-toggle{
        display: block;
        position: absolute;
        top: 15px;
        right: 15px;
        z-index: 1100;
    }

    header img{
        width: 80px;
        height: 80px;
        margin: 10px auto;
    }

    .menu-grid{
        display: none;
        flex-direction: column;
        gap: 15px;
        padding: 10px 0;
    }

    .menu-grid.active{
        display: flex;
    }

    .card{
        width: 90%;
        max-width: 280px;
        height: 48px;
        padding: 12px;
        font-size: 1rem;
    }
}
